#!/bin/bash

cmd=${1}
package=stt
stow_dir=/opt/stow
target_dir=/usr/local

if [[ ${cmd} == "configure" && ! -d "build/" ]]; then
	mkdir build && cd build && cmake .. -DCMAKE_INSTALL_PREFIX=${stow_dir}/${package} -DCMAKE_BUILD_TYPE=Release
elif [[ ${cmd} == "configure" ]]; then
	cd build && rm -rf * && cmake .. -DCMAKE_INSTALL_PREFIX=${stow_dir}/${package} -DCMAKE_BUILD_TYPE=Release
elif [[ ${cmd} == "build" ]]; then
	cd build && make
elif [[ ${cmd} == "install" ]]; then
	cd build && sudo make install
	sudo stow --dir=${stow_dir} --target=${target_dir} ${package}
fi